Issue 122302 - [sidebar] Color controls in text property panel have different functionality from toolbar
[sidebar] Color controls in text property panel have different functionality ...
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-13 12:36 UTC by Andre
Modified: 2013-07-11 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2013-05-13 12:36:28 UTC
The controls for changing font and highlight color have different functionality for text in Writer: when there is no selection then a click on the font color and highlight color buttons changes to water can mode that allows coloring text just like setting a text selection with the mouse.
This water can mode is missing from the color controls in the text property panel.

The reason for the different functionality is that the sidebar panel does not use the toolbox controls of the toolbar.
Comment 1 SVN Robot 2013-05-14 15:24:35 UTC
"af" committed SVN revision 1482384 into trunk:
122302: Use tool bar controls for color controls in text property panel.
Comment 2 Andre 2013-05-14 15:40:03 UTC
Changed the text property panel to use the regular toolbar controls for font color and highlight.  To do this in a way that allows more such changes in the future I moved some of the tool box code from InsertPropertyPanel to SidebarToolBox so that SidebarToolBox now can automatically set up its controls from a resource file.  For this it needs
   Command = ".uno:...";
lines in the ToolBoxItem definitions.

As a result the color controls in both the tool bar and the text property panel should behave identical now.
Comment 3 SVN Robot 2013-05-14 16:26:38 UTC
"af" committed SVN revision 1482424 into trunk:
122302: Added missing includes.